Package org.codehaus.groovy.ast

# Class FieldNode

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.FieldNode

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`, `Variable`

public class FieldNode extends AnnotatedNode implements Variable
Represents a field (member variable)

- ## Field Summary

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FieldNode()`
  ``
  `FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Expression`
  `getInitialExpression()`
  Returns the expression used to initialize the variable or null of there is no initialization.
  `Expression`
  `getInitialValueExpression()`
  `int`
  `getModifiers()`
  `String`
  `getName()`
  Returns the name of the variable.
  `ClassNode`
  `getOriginType()`
  Returns the type before wrapping primitives type of the variable.
  `ClassNode`
  `getOwner()`
  `ClassNode`
  `getType()`
  Returns the type of the variable.
  `boolean`
  `hasInitialExpression()`
  Returns true if there is an initialization expression.
  `boolean`
  `isDynamicTyped()`
  `boolean`
  `isEnum()`
  `boolean`
  `isHolder()`
  `boolean`
  `isInStaticContext()`
  Returns true if this variable is used in a static context.
  `static FieldNode`
  `newStatic(Class theClass, String name)`
  `void`
  `rename(String name)`
  `void`
  `setHolder(boolean holder)`
  `void`
  `setInitialValueExpression(Expression initialValueExpression)`
  `void`
  `setModifiers(int modifiers)`
  `void`
  `setOriginType(ClassNode cn)`
  `void`
  `setOwner(ClassNode owner)`
  `void`
  `setType(ClassNode type)`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

  ### Methods inherited from interface org.codehaus.groovy.ast.Variable

  `isClosureSharedVariable, isFinal, isPrivate, isProtected, isPublic, isStatic, isVolatile, setClosureSharedVariable`

- ## Constructor Details

  - ### FieldNode

    protected FieldNode()

  - ### FieldNode

    public FieldNode(String name, int modifiers, ClassNode type, ClassNode owner, Expression initialValueExpression)

- ## Method Details

  - ### newStatic

    public static FieldNode newStatic(Class theClass, String name) throws SecurityException, NoSuchFieldException
    Throws:
      `SecurityException`
      `NoSuchFieldException`

  - ### getInitialExpression

    public Expression getInitialExpression()
    Description copied from interface: `Variable`
    Returns the expression used to initialize the variable or null of there is no initialization.
    Specified by:
      `getInitialExpression` in interface `Variable`

  - ### getName

    public String getName()
    Description copied from interface: `Variable`
    Returns the name of the variable.
    Specified by:
      `getName` in interface `Variable`

  - ### getType

    public ClassNode getType()
    Description copied from interface: `Variable`
    Returns the type of the variable.
    Specified by:
      `getType` in interface `Variable`

  - ### setType

    public void setType(ClassNode type)

  - ### getOwner

    public ClassNode getOwner()

  - ### isHolder

    public boolean isHolder()

  - ### setHolder

    public void setHolder(boolean holder)

  - ### isDynamicTyped

    public boolean isDynamicTyped()
    Specified by:
      `isDynamicTyped` in interface `Variable`

  - ### getModifiers

    public int getModifiers()
    Specified by:
      `getModifiers` in interface `Variable`

  - ### setModifiers

    public void setModifiers(int modifiers)

  - ### isEnum

    public boolean isEnum()
    Returns:
      true if the field is an enum

  - ### setOwner

    public void setOwner(ClassNode owner)
    Parameters:
      `owner` - The owner to set.

  - ### hasInitialExpression

    public boolean hasInitialExpression()
    Description copied from interface: `Variable`
    Returns true if there is an initialization expression.
    Specified by:
      `hasInitialExpression` in interface `Variable`

  - ### isInStaticContext

    public boolean isInStaticContext()
    Description copied from interface: `Variable`
    Returns true if this variable is used in a static context. A static context is any static initializer block, when this variable is declared as static or when this variable is used in a static method
    Specified by:
      `isInStaticContext` in interface `Variable`

  - ### getInitialValueExpression

    public Expression getInitialValueExpression()

  - ### setInitialValueExpression

    public void setInitialValueExpression(Expression initialValueExpression)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getOriginType

    public ClassNode getOriginType()
    Description copied from interface: `Variable`
    Returns the type before wrapping primitives type of the variable.
    Specified by:
      `getOriginType` in interface `Variable`

  - ### setOriginType

    public void setOriginType(ClassNode cn)

  - ### rename

    public void rename(String name)